/* === Statusbar === */

.statusbar {
  position: relative;
  background-color: var(--white-color);
  box-shadow: var(--shadow);
  padding: 0 4rem;
  padding-bottom: 5rem;
  border-radius: 1.5rem;
  overflow: hidden;
}

/* Gray line bg */
.statusbar::before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  height: 2px;
  border-radius: 2px;
  background-color: var(--gray-color);
  z-index: 0;
}

/* Green line bg */
.statusbar::after {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 2px;
  border-radius: 2px;
  background-color: var(--accent-color);
  width: calc((var(--active-step) - 0.7) * (100% / (var(--steps-count) - 0.7)));
  transition: width 0.6s ease-in-out;
}

.statusbar__list {
  display: flex;
  justify-content: space-between;
  position: relative;
}

.statusbar__item {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  margin-top: calc(
  8rem - 
    clamp(0, (var(--active-step) - 3), 1) * 2rem
  );
  text-align: center;
}

/* .statusbar--step-3 .statusbar__item,
.statusbar--step-4 .statusbar__item,
.statusbar--step-5 .statusbar__item {
  margin-top: 6rem;
} */

.statusbar__label {
  background-color: var(--gray-color);
  color: var(--white-color);
  border-radius: 0.5rem;
  padding: 0.5rem;
  font-size: 1.4rem;
  margin-top: 1rem;
  position: relative;
}

.statusbar__label::before {
  content: '';
  position: absolute;
  background-color: var(--light-gray-color);
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  left: 50%;
  top: -4rem;
  transform: translateX(-50%);
}

.statusbar__item--active .statusbar__label {
  background-color: var(--accent-color);
}

.statusbar__item--active .statusbar__label::before {
  background: url('../../data/images/apply.svg') no-repeat center / cover;
}

.data-selection__header {
  background-color: var(--accent-color);
  color: var(--white-color);
  padding: 0.5rem 1rem;
  border-radius: 2rem;
  text-align: center;
  margin-top: 1rem;
  transition: all 0.3s ease-in-out;
  opacity: 1;
  visibility: visible;
  height: auto;
  overflow: hidden;
}

.data-selection__header.hidden {
  opacity: 0;
  visibility: hidden;
  height: 0;
  padding-top: 0;
  padding-bottom: 0;
  margin-top: 0;
  border-radius: 0;
}

.data-selection__title {
  text-transform: uppercase;
}
